View Issue Details

IDProjectCategoryView StatusLast Update
0019097MediaMonkey 5Generalpublic2022-06-26 20:32
Reporterzvezdan Assigned To 
PriorityhighSeverityminorReproducibilityalways
Status closedResolutionreopened 
Fixed in Version5.0.4 
Summary0019097: Second click on a menu button should close its opened menu list always
DescriptionThe opened menu list will be closed only if I fast click on the menu button. I looked at its source code and it seems that it has only 100 ms to prevent its appearing again. Which is wrong, it should not appear on the second click at all, not matter of the time between clicks.

The menu buttons should behave like the arrow buttons of dropdown controls, which closes their opened lists when you second click that arrow button.
TagsNo tags attached.
Fixed in build2654

Relationships

child of 0014488 closedpetr Main menu random reactions to mouse click 

Activities

Ludek

2022-05-27 16:52

developer   ~0068300

I am either unable to replicate this or don't understand what exactly you are referring? Can you elaborate?
If I click e.g. the Tools menu and click the Tools again then the menu is immediatelly closed -- no matter whether I click it immediatelly or after seconds.

zvezdan

2022-05-27 17:05

updater   ~0068301

It is closed for me only if fast click on it. Here is the animated screenshot.
2022-05-27_19-03-28.gif (91,071 bytes)   
2022-05-27_19-03-28.gif (91,071 bytes)   

zvezdan

2022-05-27 17:09

updater   ~0068303

I am not sure if this is related, but I found it in menuButton.js:
        var handleMenubtnClick = function (evt) {
            if ((Date.now() - closetm) < 100) // click event just after closing menu - ignore
                return;

Ludek

2022-05-27 21:06

developer   ~0068319

Aha, seeing it now, thanks.

=> Fixed in 5.0.4.2650

lowlander

2022-06-03 16:39

developer   ~0068417

Verified on 2650

zvezdan

2022-06-20 17:13

updater   ~0068619

It seems this fix caused another bug. When you click on an item in any panel (Media Tree, main tracklist, Playling list) after that sometimes the first click on the menu button doesn't show the menu (View, Tree, Playing and menu buttons from my add-on).

Ludek

2022-06-20 19:55

developer   ~0068624

Goog catch, regression fixed in 2654

lowlander

2022-06-26 20:32

developer   ~0068695

Verified on 2655